base_dir          = '/home/hkuro/programs/zaurus/cross_compile/ruby'
src_dir           = "#{base_dir}/ruby-1.8.0"
cross_install_dir = "#{base_dir}/dest/opt/QtPalmtop"

$:.unshift(src_dir)
$:.unshift("#{cross_install_dir}/lib/ruby/1.8")
$:.unshift("#{cross_install_dir}/lib/ruby/1.8/arm-linux")

require 'fake'
require 'mkmf'

qte_dirs = dir_config('qte')

qt_cxxflags = "-pipe -DQT_QWS_EBX -DQT_QWS_CUSTOM -DQWS -fno-exceptions -fno-rtti -Wall -W -O2 -DNO_DEBUG"

qt_ldflags = " -Wl,--rpath,#{qte_dirs[1]},-rpath-link,#{qte_dirs[1]}"

$CFLAGS  += " -I#{cross_install_dir}/lib/ruby/1.8/arm-linux -I. #{qt_cxxflags}"
$LDFLAGS += " -L#{cross_install_dir}/lib                        #{qt_ldflags}"
$LIBS    += " -lsl -lqpe -lqte -lzdtm"

if have_header('sl/slzdb.h') then
  create_makefile('simplezdb')
end
